import java.util.*;

class EastLeftLane extends Lane {
    EastLeftLane(TrafficLiteController tlc){
        super(tlc);
        RegularLightBox aRLB = new RegularLightBox();
        this.lightBox( aRLB );
        this.lightBox().addObserver(this);
    }
    public void sensorActivated(){
        this.greenRequest( new GreenRequest() );
    }

    public void setConflicts(){
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "SouthThruLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "SouthLeftLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "NorthThruLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "NorthLeftLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "WestThruLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "EastPedLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "SouthPedLane" ) );
    }
	public void update(Observable obs, Object o){
	    if( ((String) o).equals("resetGreenRequest")){
	        this.greenRequest(null);
	        return;
	    }
		this.trafficLiteController().instructLight("ELLight" ,(String) o);
	}

}

